Bug 111737 - openoffice.org-1.1.0-8 and 9 Abort
Summary: openoffice.org-1.1.0-8 and 9 Abort
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: openoffice.org   
(Show other bugs)
Version: 1.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-09 15:50 UTC by Sammy
Modified: 2007-04-18 17:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-27 16:48:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sammy 2003-12-09 15:50:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux; X11; , en_US, en)

Description of problem:
The last two versions fail to start and end with a Abort statement.
When I look under /usr/lib/openoffice/programs I see a bunch of
soffice*.bin files and a link to soffice2.bin from soffice.bin. This is
aborthing. If I link soffice.bin to either soffice1.bin or soffice3.bin
than it works fine.

Version-Release number of selected component (if applicable):
1.1.0-9

How reproducible:
Always

Steps to Reproduce:
1. Install openoffice.org-1.1.0-9
2. start any openoffice component
3.
    

Additional info:

Comment 1 Dan Williams 2003-12-09 16:45:40 UTC
Can you get a backtrace at all and post it here?

Then, try 'prelink -u /usr/lib/openoffice/program/soffice2.bin' to
un-prelink the binary and see if the problem still exists.

Comment 2 Sammy 2003-12-09 17:20:32 UTC
I can't get a backtrace. 
 
When I tried the prelink line I get: 
 
# prelink -u /usr/lib/openoffice/program/soffice2.bin 
prelink: /usr/lib/openoffice/program/soffice2.bin does not 
have .gnu.prelink_undo section 
 

Comment 3 Jakub Jelinek 2003-12-09 18:11:17 UTC
Do you have prelink disabled? cat /etc/sysconfig/prelink
should tell.

Comment 4 Sammy 2003-12-09 18:33:29 UTC
$  cat /etc/sysconfig/prelink 
# Set this to no to disable prelinking altogether 
# (if you change this from yes to no prelink -ua 
# will be run next night to undo prelinking) 
PRELINKING=yes 
 
# Options to pass to prelink 
# -m    Try to conserve virtual memory by allowing overlapping 
#       assigned virtual memory slots for libraries which 
#       never appear together in one binary 
# -R    Randomize virtual memory slot assignments for libraries. 
#       This makes it slightly harder for various buffer overflow 
#       attacks, since library addresses will be different on each 
#       host using -R. 
PRELINK_OPTS=-mR 
 
# How often should full prelink be run (in days) 
# Normally, prelink will be run in quick mode, every 
# $PRELINK_FULL_TIME_INTERVAL days it will be run 
# in normal mode.  Comment it out if it should be run 
# in normal mode always. 
PRELINK_FULL_TIME_INTERVAL=14 
 

Comment 5 Dan Williams 2004-02-27 16:48:51 UTC
Please try current OOo 1.1.0, and reopen if problem still occurs


Note You need to log in before you can comment on or make changes to this bug.